// -----------------------------------------------------------------------------
// This file contains very basic styles.
// -----------------------------------------------------------------------------

/**
 * Set up a decent box model on the root element
 */
html {
  box-sizing: border-box;
  --gutter: #{$gutter};
}

/**
 * Make all elements from the DOM inherit from the parent box-sizing
 * Since `*` has a specificity of 0, it does not override the `html` value
 * making all elements inheriting from the root box-sizing value
 * See: https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
 */
*,
*::before,
*::after {
  box-sizing: inherit;
}

/**
 * Basic styles for links
 */

%basewrapper {
  margin-left: auto;
  margin-right: auto;
  max-width: $max-wrapper-width;
  margin-bottom: 0;
  width: 100%;

  padding-left: var(--gutter);
  padding-right: var(--gutter);

  @tablet {
    padding-left: calc(2 * var(--gutter));
    padding-right: calc(2 * var(--gutter));
  }
}

%pagewrapper {
  max-width: 39rem;
  margin: auto;
}

img {
  max-width: 100%;
}

html {
  background-color: #f4f4f4;
}

body {
  margin: 0;
  padding: 0;
}

.site-intro {
  background-color: #fff;
  border-top: 1px solid transparent;
}

.chronological {
  @include font-size(0.677);
  @include line-height(0.677);

  a {
    //background-color: color(kathde-purple);
    color: #888;
    padding: 0.2em;
  }
}


@if $show-grid {
body {
  background-image: linear-gradient(to bottom, hsla(200, 100%, 50%, 0.3) 1px, transparent 1px);
  background-position: left top;
  background-repeat: repeat;
  background-size: 100% #{$leading + 'px'};
  background-size: 100% #{$leading-rem + 'rem'};
}
}

.u-h { // cause don't call it hidden
  border: 0 !important;
  clip: rect(0 0 0 0) !important;
  height: 0.0625rem !important;
  margin: -0.0625rem !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  width: 0.0625rem !important;
}
